{"openapi":"3.0.1","info":{"title":"PRIDE Archive Restful WS","description":"The PRIDE PRoteomics IDEntifications (PRIDE) database is a centralized, standards compliant, public data repository for proteomics data, including protein and peptide identifications, post-translational modifications and supporting molecules evidence.","version":"3.0"},"servers":[{"url":"https://www.ebi.ac.uk/pride/ws/archive/v3","description":"Generated server url"}],"paths":{"/status/{accession}":{"get":{"tags":["projects"],"description":"Check if the dataset is public/private in PRIDE.","operationId":"getProjectStatus","parameters":[{"name":"accession","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string"}}}}}}},"/stats/{name}":{"get":{"tags":["stats"],"description":"Retrieve statistics by Name","operationId":"statistics","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/stats/submitted-data":{"get":{"tags":["stats"],"description":"Retrieve month wise submissions data size","operationId":"getSubmittedDataStats","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"object"}}}}}}},"/stats/submissions-monthly-tsv":{"get":{"tags":["stats"],"description":"Retrieve month wise submissions count","operationId":"submissionsMonthlyTsv","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"object"}}}}}}},"/stats/submissions-monthly":{"get":{"tags":["stats"],"description":"Retrieve month wise submissions count","operationId":"submissionsMonthly","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/search/projects":{"get":{"tags":["projects"],"description":"Search all public projects in PRIDE Archive. The _keywords_ are used to search all the projects that at least contains one of the keyword. For example  if keywords: proteome, cancer are provided the search looks for all the datasets that contains one or both keywords. The _filter_ parameter provides allows the method  to filter the results for specific values. The strcuture of the filter _is_: field1==value1, field2==value2.","operationId":"projects","parameters":[{"name":"keyword","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"filter","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"dateGap","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"sortDirection","in":"query","required":false,"schema":{"type":"string","default":"DESC"}},{"name":"sortFields","in":"query","required":false,"schema":{"type":"string","default":"submissionDate"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ElasticPrideProject"}}}}}}}},"/search/autocomplete":{"get":{"tags":["projects"],"description":"Search all public projects in PRIDE Archive. The _keywords_ are used to search all the projects that at least contains one of the keyword. For example  if keywords: proteome, cancer are provided the search looks for all the datasets that contains both keywords. The _filter_ parameter provides allows the method  to filter the results for specific values. The strcuture of the filter _is_: field1==value1, field2==value2.","operationId":"projects_1","parameters":[{"name":"keyword","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/proteins/{accession}":{"get":{"tags":["proteins"],"description":"Get the protein details by accession","operationId":"getProteinByAccession","parameters":[{"name":"accession","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ElasticPrideProjectsByProtein"}}}}}}},"/proteins/search":{"get":{"tags":["proteins"],"description":"Search protein details by accession","operationId":"search","parameters":[{"name":"accession","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrideProjectsByProteinWrapper"}}}}}}}},"/proteins/allAccessions":{"get":{"tags":["proteins"],"description":"Get all protein accessions with pagination","operationId":"getAllProteinAccessions","parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}},{"name":"pageNumber","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProteinAccessionsPageResponse"}}}}}}},"/projects/{projectAccession}":{"get":{"tags":["projects"],"description":"Return the dataset for a given accession","operationId":"getProject","parameters":[{"name":"projectAccession","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/projects/{projectAccession}/files/count":{"get":{"tags":["projects"],"description":"Count of PRIDE project Files","operationId":"getCountOfProjectFiles","parameters":[{"name":"projectAccession","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}}}}},"/projects/{projectAccession}/files/all":{"get":{"tags":["projects"],"description":"Get all the Files for an specific project in PRIDE.","operationId":"getAllFilesByProject","parameters":[{"name":"projectAccession","in":"path","required":true,"schema":{"type":"string"}},{"name":"filenameFilter","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/file"}}}}}}}},"/projects/{projectAccession}/files":{"get":{"tags":["projects"],"description":"Get all the Files for an specific project in PRIDE.","operationId":"getFilesByProject","parameters":[{"name":"projectAccession","in":"path","required":true,"schema":{"type":"string"}},{"name":"filenameFilter","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/file"}}}}}}}},"/projects/{accession}/similarProjects":{"get":{"tags":["projects"],"description":"Get Similar projects taking into account the metadata","operationId":"getSimilarProjects","parameters":[{"name":"accession","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ElasticPrideProject"}}}}}}}},"/projects/reanalysis/{projectAccession}":{"get":{"tags":["projects"],"description":"Return the list of publications that have re-used the specified dataset","operationId":"getReanalysisProject","parameters":[{"name":"projectAccession","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/projects/metadata":{"get":{"tags":["projects"],"description":"List of paged PRIDE Archive Projects with metadata","operationId":"getProjectsMetadata","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrideProjectMetadata"}}}}}}}},"/projects/files-path/{projectAccession}":{"get":{"tags":["projects"],"description":"Return the path of the dataset's files","operationId":"getFtpPath","parameters":[{"name":"projectAccession","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/projects/download":{"get":{"tags":["projects"],"description":"download all PRIDE Archive Projects","operationId":"downloadAllProjects","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataBuffer"}}}}}}}},"/projects/download/by/keyword":{"get":{"tags":["projects"],"description":"download all PRIDE Archive Projects by keyword","operationId":"downloadAllProjectsByKeyword","parameters":[{"name":"keyword","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"filter","in":"query","required":false,"schema":{"type":"string"}},{"name":"sortFields","in":"query","required":false,"schema":{"type":"string","default":"submissionDate"}},{"name":"sortDirection","in":"query","required":false,"schema":{"type":"string","default":"DESC"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataBuffer"}}}}}}}},"/projects/count":{"get":{"tags":["projects"],"description":"Count of all PRIDE Archive Projects","operationId":"getCountOfAllProjects","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}}}}},"/projects/all":{"get":{"tags":["projects"],"description":"Get all PRIDE Archive Projects. ** DON'T TRY THIS API IN THE WEB BROWSER. USE CURL **","operationId":"getAllProjects","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/project"}}}}}}}},"/projects":{"get":{"tags":["projects"],"description":"List of PRIDE Archive Projects. The following method do not allows to perform search, for search functionality you will need to use the search/projects. The result list is Paginated using the _pageSize_ and _page_.","operationId":"getProjects","parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/project"}}}}}}}},"/pride-ap/{accession}":{"get":{"tags":["affinity-projects"],"description":"Get the project details by accession","operationId":"getProjectByAccession","parameters":[{"name":"accession","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ElasticPrideAPProject"}}}}}}},"/pride-ap/search/proteins":{"get":{"tags":["affinity-projects"],"description":"Search proteins using a keyword. This looks for matching proteins and supports pagination.","operationId":"projects_2","parameters":[{"name":"projectAccession","in":"query","required":true,"schema":{"type":"string"}},{"name":"keyword","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"sortField","in":"query","required":false,"schema":{"type":"string","default":"accession"}},{"name":"sortDirection","in":"query","required":false,"schema":{"type":"string","default":"ASC"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Protein"}}}}}}}},"/pride-ap/search/projects":{"get":{"tags":["affinity-projects"],"description":"Search all public projects in PRIDE Archive. The _keywords_ are used to search all the projects that at least contains one of the keyword. For example  if keywords: proteome, cancer are provided the search looks for all the datasets that contains one or both keywords. The _filter_ parameter provides allows the method  to filter the results for specific values. The strcuture of the filter _is_: field1==value1, field2==value2.","operationId":"projects_3","parameters":[{"name":"The entered word will be searched among the fields to fetch matching projects","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"Parameters to filter the search results. The structure of the filter is: field1==value1, field2==value2. Example accession==PRD000001","in":"query","required":false,"schema":{"type":"string"}},{"name":"Number of results to fetch in a page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}},{"name":"Identifies which page of results to fetch","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"A date range field with possible values of +1MONTH, +1YEAR","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"Sorting direction: ASC or DESC","in":"query","required":false,"schema":{"type":"string","default":"DESC"}},{"name":"Field(s) for sorting the results on. Default for this request is submission_date. More fields can be separated by comma and passed. Example: submission_date,project_title","in":"query","required":false,"schema":{"type":"string","default":"submissionDate"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ElasticPrideAPProject"}}}}}}}},"/pride-ap/getUniqueProteinCount":{"get":{"tags":["affinity-projects"],"description":"Get the project details by accession","operationId":"getUniqueProteinCount","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}}}}},"/findAllOrganismsCount":{"get":{"tags":["projects"],"description":"Get Unique OrganismsCount","operationId":"findAllOrganismsCount","responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string"}}}}}}},"/files/{fileAccession}":{"get":{"tags":["files"],"description":"Get a File from PRIDE database","operationId":"getFile","parameters":[{"name":"fileAccession","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/file"}}}}}}},"/files/sdrf/{projectAccession}":{"get":{"tags":["files"],"description":"Get an SDRF file from project accession","operationId":"getSDRFFilesByProjectAccession","parameters":[{"name":"projectAccession","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/files/getCountOfFilesByType/{projectAccession}":{"get":{"tags":["files"],"description":"Get count of each file types in a project by accession","operationId":"getCountOfFilesByType","parameters":[{"name":"projectAccession","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/files/count":{"get":{"tags":["files"],"description":"Count of all PRIDE Archive Files","operationId":"getCountOfAllFiles","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}}}}},"/files/checksum/{projectAccession}":{"get":{"tags":["projects"],"description":"Get md5Checksum of all the files in a project","operationId":"getCheckSumOfFiles","parameters":[{"name":"projectAccession","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string"}}}}}}},"/files/all":{"get":{"tags":["files"],"description":"Get all files from PRIDE database. ** DON'T TRY THIS API IN THE WEB BROWSER. USE CURL **","operationId":"getAllFiles","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/file"}}}}}}}},"/facet/projects":{"get":{"tags":["projects"],"description":"Return the facets for an specific search query. This method is fully-aligned to the entry point search/projects with the parameters: _keywords_, _filter_, _pageSize_, _page_. ","operationId":"facets","parameters":[{"name":"keyword","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"filter","in":"query","required":false,"schema":{"type":"string"}},{"name":"facetPageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}},{"name":"facetPage","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"dateGap","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}}}}}}},"/event/{key}":{"get":{"tags":["event-controller"],"operationId":"getEvents","parameters":[{"name":"key","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventSummary"}}}}}}}}},"components":{"schemas":{"ElasticPrideProject":{"type":"object","properties":{"id":{"type":"string"},"accession":{"type":"string"},"title":{"type":"string"},"projectDescription":{"type":"string"},"additionalAttributes":{"type":"string"},"dataProcessingProtocol":{"type":"string"},"sampleProcessingProtocol":{"type":"string"},"projectTags":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"keywords":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"doi":{"type":"string"},"otherOmicsLinks":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"submissionType":{"type":"string"},"publicationDate":{"type":"string","format":"date"},"updatedDate":{"type":"string","format":"date"},"submissionDate":{"type":"string","format":"date"},"downloadCount":{"type":"integer","format":"int64"},"avgDownloadsPerFile":{"type":"number","format":"float"},"botCount":{"type":"integer","format":"int64"},"hubCount":{"type":"integer","format":"int64"},"organicCount":{"type":"integer","format":"int64"},"percentile":{"type":"integer","format":"int32"},"yearlyDownloads":{"type":"array","items":{"$ref":"#/components/schemas/YearlyDownload"}},"submitters":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"labPIs":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"affiliations":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"instruments":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"softwares":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"quantificationMethods":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"allCountries":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"experimentalFactors":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"experimentalFactorsFacet":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"sampleAttributes":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"organisms":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"organismsPart":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"diseases":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"references":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"experimentTypes":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"sdrf":{"type":"string"},"proteinIdentifications":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"peptideSequences":{"type":"string"},"identifiedPtmStrings":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"projectFileNames":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"suggestField":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"prideArchiveType":{"type":"string"},"score":{"type":"number","format":"float"},"highlights":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"YearlyDownload":{"type":"object","properties":{"year":{"type":"string"},"count":{"type":"integer","format":"int32"}}},"ElasticPrideProjectsByProtein":{"type":"object","properties":{"proteinAccession":{"type":"string"},"projects":{"type":"array","items":{"type":"string"}}}},"PrideProjectsByProteinWrapper":{"type":"object","properties":{"id":{"type":"string"},"proteinAccession":{"type":"string"},"projects":{"type":"array","items":{"type":"string"}}}},"ProteinAccessionsPageResponse":{"type":"object","properties":{"accessions":{"type":"array","items":{"type":"string"}},"totalElements":{"type":"integer","format":"int64"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int64"}}},"CvParam":{"type":"object","allOf":[{"$ref":"#/components/schemas/CvParamProvider"}]},"CvParamProvider":{"type":"object","properties":{"accession":{"type":"string"},"cvLabel":{"type":"string"},"name":{"type":"string"},"value":{"type":"string"}}},"file":{"type":"object","properties":{"projectAccessions":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"analysisAccessions":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"accession":{"type":"string"},"fileCategory":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]},"checksum":{"type":"string"},"publicFileLocations":{"uniqueItems":true,"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"fileSizeBytes":{"type":"integer","format":"int64"},"fileExtension":{"type":"string"},"fileName":{"type":"string"},"compress":{"type":"boolean"},"submissionDate":{"type":"string","format":"date-time"},"publicationDate":{"type":"string","format":"date-time"},"updatedDate":{"type":"string","format":"date-time"},"additionalAttributes":{"uniqueItems":true,"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"totalDownloads":{"type":"integer","format":"int64"}},"xml":{"name":"file"}},"PrideProjectMetadata":{"type":"object","properties":{"accession":{"type":"string"},"title":{"type":"string"},"submissionType":{"type":"string"},"description":{"type":"string"},"sampleProcessingProtocol":{"type":"string"},"dataProcessingProtocol":{"type":"string"}}},"DataBuffer":{"type":"object"},"ContactProvider":{"type":"object","properties":{"title":{"type":"string","enum":["UNKNOWN","Mr","Ms","Miss","Mrs","Dr","Professor"]},"affiliation":{"type":"string"},"orcid":{"type":"string"},"name":{"type":"string"},"country":{"type":"string"},"email":{"type":"string"},"id":{"type":"object"}}},"Reference":{"type":"object","properties":{"referenceLine":{"type":"string"},"pubmedID":{"type":"integer","format":"int32"},"doi":{"type":"string"}}},"project":{"type":"object","properties":{"accession":{"type":"string"},"title":{"type":"string"},"additionalAttributes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"projectDescription":{"type":"string"},"sampleProcessingProtocol":{"type":"string"},"dataProcessingProtocol":{"type":"string"},"projectTags":{"type":"array","items":{"type":"string"}},"keywords":{"type":"array","items":{"type":"string"}},"doi":{"type":"string"},"submissionType":{"type":"string"},"license":{"type":"string"},"submissionDate":{"type":"string","format":"date-time"},"publicationDate":{"type":"string","format":"date-time"},"updatedDate":{"type":"string","format":"date-time"},"submitters":{"type":"array","items":{"$ref":"#/components/schemas/ContactProvider"}},"labPIs":{"type":"array","items":{"$ref":"#/components/schemas/ContactProvider"}},"affiliations":{"type":"array","items":{"type":"string"}},"instruments":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"softwares":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"experimentTypes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"quantificationMethods":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"countries":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"sampleAttributes":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"organisms":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"organismParts":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"diseases":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"references":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/Reference"}},"identifiedPTMStrings":{"uniqueItems":true,"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/CvParam"}]}},"totalFileDownloads":{"type":"integer","format":"int64"},"botCount":{"type":"integer","format":"int64"},"hubCount":{"type":"integer","format":"int64"},"organicCount":{"type":"integer","format":"int64"},"otherOmicsLinks":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},"xml":{"name":"project"}},"ElasticPrideAPProject":{"type":"object","properties":{"id":{"type":"string"},"accession":{"type":"string"},"title":{"type":"string"},"projectDescription":{"type":"string"},"additionalAttributes":{"type":"string"},"dataProcessingProtocol":{"type":"string"},"sampleProcessingProtocol":{"type":"string"},"projectTags":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"keywords":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"doi":{"type":"string"},"otherOmicsLinks":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"submissionType":{"type":"string"},"publicationDate":{"type":"string","format":"date"},"updatedDate":{"type":"string","format":"date"},"submissionDate":{"type":"string","format":"date"},"downloadCount":{"type":"integer","format":"int64"},"avgDownloadsPerFile":{"type":"number","format":"float"},"botCount":{"type":"integer","format":"int64"},"hubCount":{"type":"integer","format":"int64"},"organicCount":{"type":"integer","format":"int64"},"percentile":{"type":"integer","format":"int32"},"yearlyDownloads":{"type":"array","items":{"$ref":"#/components/schemas/YearlyDownload"}},"submitters":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"labPIs":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"affiliations":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"instruments":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"softwares":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"quantificationMethods":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"allCountries":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"experimentalFactors":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"experimentalFactorsFacet":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"sampleAttributes":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"organisms":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"organismsPart":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"diseases":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"references":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"experimentTypes":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"sdrf":{"type":"string"},"proteinIdentifications":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"peptideSequences":{"type":"string"},"identifiedPtmStrings":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"projectFileNames":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"suggestField":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"prideArchiveType":{"type":"string"},"score":{"type":"number","format":"float"},"highlights":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"proteins":{"type":"array","items":{"$ref":"#/components/schemas/Protein"}},"noOfProteins":{"type":"integer","format":"int64"},"noOfSamples":{"type":"integer","format":"int64"}}},"Protein":{"type":"object","properties":{"proteinAccession":{"type":"string"},"proteinName":{"type":"string"},"gene":{"type":"string"},"projectCount":{"type":"integer","format":"int64"}}},"EventSummary":{"type":"object","properties":{"type":{"type":"string","enum":["METADATA_UPDATE","FILES_UPDATE","OWNER_UPDATE","LABHEAD_UPDATE"]},"timestamp":{"type":"string","format":"date-time"},"message":{"type":"string"}}}}}}